Fetches an action - WalletConnect Pay Docs

Fetches an action

cURL

curl --request POST \
  --url https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "data": "...",\n  "optionId": "opt_123"\n}\n'```

### Python

import requests

url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch"

payload = { "data": "...", "optionId": "opt_123" } headers = { "Api-Key": "", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript (Fetch)

const options = { method: 'POST', headers: {'Api-Key': '', 'Content-Type': 'application/json'}, body: JSON.stringify({data: '...', optionId: 'opt_123'}) };

fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "POST",\ CURLOPT_POSTFIELDS => json_encode([\ 'data' => '...',\ 'optionId' => 'opt_123'\ ]),\ CURLOPT_HTTPHEADER => [\ "Api-Key: ",\ "Content-Type: application/json"\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch"

payload := strings.NewReader("{\n "data": "...",\n "optionId": "opt_123"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Api-Key", "") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Unirest (Java)

HttpResponse response = Unirest.post("https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch") .header("Api-Key", "") .header("Content-Type", "application/json") .body("{\n "data": "...",\n "optionId": "opt_123"\n}") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["Api-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n "data": "...",\n "optionId": "opt_123"\n}"

response = http.request(request) puts response.read_body


### Response Codes

- **200:** Application JSON - Action built successfully
- **400:** Bad Request
- **401:** Unauthorized
- **404:** Not Found
- **500:** Internal Server Error

### Example Response

{ "actions": [
{
"data": {
"chain_id": "eip155:8453",
"method": "eth_signTypedData_v4",
"params": [
"0x0000000000000000000000000000000000000000",
"{"domain":{"name":"USD Coin","version":"2","chainId":"0x2105","verifyingContract":"0x0000000000000000000000000000000000000000"},"types":{"EIP712Domain":[{"type":"string","name":"name"},{"type":"string","name":"version"},{"type":"uint256","name":"chainId"},{"type":"address","name":"verifyingContract"}],"ReceiveWithAuthorization":[{"type":"address","name":"from"},{"type":"address","name":"to"},{"type":"uint256","name":"value"},{"type":"uint256","name":"validAfter"},{"type":"uint256","name":"validBefore"},{"type":"bytes32","name":"nonce"}]},"primaryType":"ReceiveWithAuthorization","message":{"from":"0x0000000000000000000000000000000000000000","nonce":"0x0000000000000000000000000000000000000000000000000000000000000000","to":"0x0000000000000000000000000000000000000000","validAfter":"0x0","validBefore":"0x0","value":"0x0"}}"
]
},
"type": "walletRpc"
}
]
}


### Path Parameters

- `id` (string, required): Payment ID

### Body

- `data` (string, required): Extra build payload
- `optionId` (string, required): ID of the option to build an action for